span.loading01, span.loading01:after {
  display: inline-block;
  width: 160px;
  height: 160px;
  background-repeat: no-repeat;
  background-image:
  -webkit-gradient(radial,15 center,0,15 center,15,from(rgba(239,90,185,0.5)),color-stop(0.5,rgba(239,90,185,0.5)),color-stop(0.9,transparent),to(transparent)),
  -webkit-gradient(radial,center 15,0,center 15,15,from(rgba(239,90,185,0.5)),color-stop(0.5,rgba(239,90,185,0.5)),color-stop(0.9,transparent),to(transparent)),
  -webkit-gradient(radial,145 center,0,145 center,15,from(rgba(239,90,185,0.5)),color-stop(0.5,rgba(239,90,185,0.5)),color-stop(0.9,transparent),to(transparent)),
  -webkit-gradient(radial,center 145,0,center 145,15,from(rgba(239,90,185,0.5)),color-stop(0.5,rgba(239,90,185,0.5)),color-stop(0.9,transparent),to(transparent));
  background-image:
  -webkit-radial-gradient(10% 50%, 15px 15px, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent 95%, transparent),
  -webkit-radial-gradient(50% 10%, 15px 15px, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent 95%, transparent),
  -webkit-radial-gradient(90% 50%, 15px 15px, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent 95%, transparent),
  -webkit-radial-gradient(50% 90%, 15px 15px, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent 95%, transparent);
  background-image:
  radial-gradient(15px 15px at 10% 50%, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent),
  radial-gradient(15px 15px at 50% 10%, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent),
  radial-gradient(15px 15px at 90% 50%, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent),
  radial-gradient(15px 15px at 50% 90%, rgba(239,90,185,0.5), rgba(239,90,185,0.5) 95%, transparent);
}
span.loading01 {
  position: relative;
  vertical-align: middle;
}
span.loading01:after {
  position: absolute;
  content: " ";
  z-index: -1;
  left: 0;
  top: 0;
  margin: 0;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
span.loading01 span {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  background-image: -webkit-gradient(radial,15 center,0,15 center,15,from(#ef5ab9),color-stop(0.4,#ef5ab9),color-stop(0.9,transparent),to(transparent));
  background-image: -webkit-radial-gradient(10% 50%, 15px 15px, #ef5ab9, #ef5ab9 95%, transparent 95%, transparent);
  background-image: radial-gradient(15px 15px at 10% 50%, #ef5ab9, #ef5ab9 95%, transparent);
  -webkit-animation: animation01 1.4s linear infinite;
  animation: animation01 1.4s linear infinite;
}

@-webkit-keyframes animation01 {
  0% {
    -webkit-transform: rotate(0deg);
  }
  12.4% {
    -webkit-transform: rotate(0deg);
  }
  12.5% {
    -webkit-transform: rotate(45deg);
  }
  24.9% {
    -webkit-transform: rotate(45deg);
  }
  25% {
    -webkit-transform: rotate(90deg);
  }
  37.4% {
    -webkit-transform: rotate(90deg);
  }
  37.5% {
    -webkit-transform: rotate(135deg);
  }
  49.9% {
    -webkit-transform: rotate(135deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
  }
  62.4% {
    -webkit-transform: rotate(180deg);
  }
  62.5% {
    -webkit-transform: rotate(225deg);
  }
  74.9% {
    -webkit-transform: rotate(225deg);
  }
  75% {
    -webkit-transform: rotate(270deg);
  }
  87.4% {
    -webkit-transform: rotate(270deg);
  }
  87.5% {
    -webkit-transform: rotate(315deg);
  }
  99.9% {
    -webkit-transform: rotate(315deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes animation01 {
  0% {
    transform: rotate(0deg);
  }
  12.4% {
    transform: rotate(0deg);
  }
  12.5% {
    transform: rotate(45deg);
  }
  24.9% {
    transform: rotate(45deg);
  }
  25% {
    transform: rotate(90deg);
  }
  37.4% {
    transform: rotate(90deg);
  }
  37.5% {
    transform: rotate(135deg);
  }
  49.9% {
    transform: rotate(135deg);
  }
  50% {
    transform: rotate(180deg);
  }
  62.4% {
    transform: rotate(180deg);
  }
  62.5% {
    transform: rotate(225deg);
  }
  74.9% {
    transform: rotate(225deg);
  }
  75% {
    transform: rotate(270deg);
  }
  87.4% {
    transform: rotate(270deg);
  }
  87.5% {
    transform: rotate(315deg);
  }
  99.9% {
    transform: rotate(315deg);
  }
  100% {
    transform: rotate(360deg);
  }
}



span.loading45 {
  display: inline-block;
  white-space: nowrap;
  font-size: 150%;
  color: #ef5ab9;
  vertical-align: middle;
}
span.loading45 span {
  display: inline-block;
  vertical-align: middle;
}


.loading {
    margin: 0 0 0 180px;
    width: auto;
}

.waiting{
    margin:10px 0 0 120px;
}